Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# OccluderEffect Class Reference

This functions similarly to a LightAttrib or ClipPlaneAttrib. More...

Inheritance diagram for OccluderEffect:

List of all members.

## Public Member Functions
RenderEffect const | addOnOccluder (NodePath const occluder)
| Returns a new OccluderEffect, just like this one, but with the indicated occluder added to the list of occluders enabled by this effect.
int | getNumOnOccluders ()
| Returns the number of occluders that are enabled by the effectute.
NodePath | getOnOccluder (int n)
| Returns the nth occluder enabled by the effectute, sorted in render order.
list | getOnOccluders ()
bool | hasOnOccluder (NodePath const occluder)
| Returns true if the indicated occluder is enabled by the effect, false otherwise.
bool | isIdentity ()
| Returns true if this is an identity effect: it does not change the set of occluders in use.
RenderEffect const | removeOnOccluder (NodePath const occluder)
| Returns a new OccluderEffect, just like this one, but with the indicated occluder removed from the list of occluders enabled by this effect.
## Static Public Member Functions
static TypeHandle | getClassType ()
static RenderEffect const | make ()
| Constructs a new OccluderEffect object that does nothing.

## Detailed Description

This functions similarly to a LightAttrib or ClipPlaneAttrib.

It indicates the set of occluders that modify the geometry at this level and below. Unlike a ClipPlaneAttrib, an OccluderEffect takes effect immediately when it is encountered during traversal, and thus can only add occluders; it may not remove them.

## Member Function Documentation

RenderEffect const addOnOccluder | ( | NodePath const | occluder | ) |

Returns a new OccluderEffect, just like this one, but with the indicated occluder added to the list of occluders enabled by this effect.

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from RenderEffect.

int getNumOnOccluders | ( |  | ) |

Returns the number of occluders that are enabled by the effectute.

NodePath getOnOccluder | ( | int | n | ) |

Returns the nth occluder enabled by the effectute, sorted in render order.

list getOnOccluders | ( |  | ) |

bool hasOnOccluder | ( | NodePath const | occluder | ) |

Returns true if the indicated occluder is enabled by the effect, false otherwise.

bool isIdentity | ( |  | ) |

Returns true if this is an identity effect: it does not change the set of occluders in use.

static RenderEffect const make | ( |  | ) | `[static]`

Constructs a new OccluderEffect object that does nothing.

RenderEffect const removeOnOccluder | ( | NodePath const | occluder | ) |

Returns a new OccluderEffect, just like this one, but with the indicated occluder removed from the list of occluders enabled by this effect.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties